/*
 * background.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

chrome.runtime.onMessage.addListener(

    // Got a mesage from Content script (script.js)

    function (request, sender, sendResponse) {

        if (request.action == "set_scraper_tab_id") {
            // Set this tab Id for scraper
            chrome.storage.local.set({"scraper_tab_id":sender.tab.id}).then(() => {
                console.log("Scraper is now running on tab "+sender.tab.id);
            });

            sendResponse({
                "log":"Setted 'scraper_tab_id' to "+sender.tab.id
            });
        }
        else if (request.action =="get_my_tab_id") {
            // Return Tab Id

            sendResponse({
                tab_id: sender.tab.id
            });
        }

});