/*
 * stepDFunctionType_api_call.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_job_error(step) {

	console.log("stepFunctionType_job_error()");

	chrome.storage.local.set({"status_message":"Sending Error message to your task..."});

	var data_to_save = {
		"error_message":step["error_message"]
		
	};

	var headers={
		"Content-Type" : "application/x-www-form-urlencode"
	};

	step["url"] = "https://"+step["node"]+".botize.es/api/v3/callbacks/dequeue?mb_run_id="+step["mb_run_id"]+"&access_token="+step["access_token"]+"&tt="+Date.now();

	// POST
	fetch(step["url"], {
		method: "POST",
		cache: "no-store",
		//headers: headers,
		body: JSON.stringify(data_to_save)
	})
	.then(response => response.text())
	.then(text => {
		console.log("[stepFunctionType_api_call] Response from "+step["url"]+": "+text);
		
		chrome.storage.local.remove(["step"]);

		console.log("stepFunctionType_api_call():Done");
		chrome.storage.local.set({"status_message":"Done!"});
	})
	.catch(error => {
		console.log("stepFunctionType_api_call(): Error " + error);
		chrome.storage.local.set({"status_message":"Error "+error});
		
		chrome.storage.local.remove(["step"]);
	});
	
}