/*
 * stepFunctionType_xpath_extraction.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_paste_image(step) {

    chrome.storage.local.remove(["step"]);
  
    // Make button with JS
  
    // Obtener el elemento div del DOM
    var body = document.getElementsByTagName("body")[0];
  
    snippet = step["snippet"];
  
    var array = JSON.parse(snippet);

    async function copiarImagenAlPortapapeles(url) {
        try {

            const controller = new AbortController();
            const timeoutId = setTimeout(() => controller.abort(), 10000); // Tiempo de espera de 10 segundos
    
            const respuesta = await fetch(url, { signal: controller.signal });

            clearTimeout(timeoutId);
            
            console.log("respuesta recibida");
            const blob = await respuesta.blob();
    
            const file = new File([blob], "image.png", {type: "image/png"})
            
            const dataTransfer = new DataTransfer()
            dataTransfer.items.add(file)
                    
            // Ahora dispara el evento de pegado
            const event = new ClipboardEvent("paste", {
                bubbles: true,
                cancelable: true,
                clipboardData: dataTransfer
            });
            let el = document.querySelector("#main .copyable-area [contenteditable=\"true\"][role=\"textbox\"]");
            el.focus();
            el.dispatchEvent(event);
            console.log("Pegado!");
        } catch (error) {
            console.error("Error al copiar la imagen al portapapeles:", error);
        }
    }
    // Copy BLOB URL (we make it in stepFunctionType_add_to_clipboard) to clipboard
    copiarImagenAlPortapapeles(blob_url);
  
}