/*
 * stepFunctionType_xpath_extraction.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_paste_text(step) {

    chrome.storage.local.remove(["step"]);
  
    const dataTransfer = new DataTransfer();
    dataTransfer.setData("text",step["text"]);
    
    const event = new ClipboardEvent("paste", {
        clipboardData: dataTransfer,
        bubbles: true
    });

    let elems = document.evaluate(step["xpath"], document, null, XPathResult.FIRST_ORDERED_NODE_TYPE, null);
    var elem = elems.singleNodeValue;

    if (elem === null)
        throw new Error("[stepFunctionType_paste_img] Element not found|Xpath: "+step["xpath"]+"");
        
    elem.focus();
    elem.dispatchEvent(event);
}