/*
 * stepFunctionType_search_job.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_search_job() {
  
    chrome.storage.local.set({
      "status_message":"Searching for jobs..."
    });

    var timestamp = new Date().getTime();

    var url = "https://btzscraper.s3-eu-west-1.amazonaws.com/"+access_token+".json?nocache="+timestamp;
    
    fetch(url,{cache: "no-store"})
        .then(response => {
            
           if (response.ok) {
              return response.json();
            } else {
        
              chrome.storage.local.set({
                "status_code":"STATUS_WAITING_JOB"
              });

              chrome.storage.local.set({
                "status_message":"Searching for jobs"
              });
              
              throw new Error('No jobs to process');
            }
          })
        .then(data => {
            
            chrome.storage.local.set({
              "status_code":"STATUS_PROCESSING_JOB"
            });

            chrome.storage.local.set({"job":data});
            chrome.storage.local.remove(["step"]);
        })
        .catch(error => {
            chrome.storage.local.remove(["step"]);
        });

}
