/*
 * stepFunctionType_load_url.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_load_url(step) {

  console.log("stepFunctionType_load_url(): Loading URL "+step["url"]);
  
  //localStorage.removeItem("step");
  chrome.storage.local.remove(["step"]);

  // Compare current URL and step["url"]
  var currentUrl = window.location.href;
  var currentDomain = new URL(currentUrl).hostname;
  var targetDomain = new URL(step["url"]).hostname;

  if (currentDomain !== targetDomain) {
    //alert(currentDomain+" VS "+targetDomain+ " = Require invalidate localStorage");
    // Changing to another domain require to invalidate current job in localStorage
    //localStorage.removeItem("job");
  }
  //else
  //  alert(currentDomain+" VS "+targetDomain+ " = Keep same localStorage");
  
  // Go to step["url"]
  chrome.storage.local.set({"status_message":"Loading URL "+step["url"]});

  window.location.href = step["url"];
}
