/*
 * stepFunctionType_wait.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_wait(step) {

  console.log("stepFunctionType_wait(): Setting a "+step["time"]+" milisecond wait time...");

  var miliseconds = Number(step["time"]);

  chrome.storage.local.set({
    "wait_timestamp":Date.now()+miliseconds
  }).then(() => {

    chrome.storage.local.set({
      "status_message":Math.round(miliseconds/1000)+" seconds countdown initiated"
    });

    console.log("stepFunctionType_wait(): "+miliseconds+" milisecond wait time stablished.");
    
    chrome.storage.local.remove(["step"]);

  });

}